Bug 1547937 - [RFE] Live Storage Migration progress bar.
Summary: [RFE] Live Storage Migration progress bar.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.9
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ovirt-4.4.0
: ---
Assignee: Benny Zlotnik
QA Contact: meital avital
URL:
Whiteboard:
: 529086 1402452 1630251 (view as bug list)
Depends On:
Blocks: 1417161 1547336 607630 618413
TreeView+ depends on / blocked
 
Reported: 2018-02-22 10:20 UTC by Ameya Charekar
Modified: 2021-03-11 20:24 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This release adds a progress bar for the disk synchronization stage of Live Storage Migration.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:16:11 UTC
oVirt Team: Storage
Target Upstream Version:
dmaaravi: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 529086 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 910729 0 high CLOSED [RFE] Add a new characterization for async disk operations to allow progress indication 2021-02-22 00:41:40 UTC
Red Hat Knowledge Base (Solution) 3433411 0 None None None 2018-05-06 09:23:29 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:16:36 UTC
oVirt gerrit 104763 0 'None' MERGED core: support sdm in LSM 2020-12-28 12:06:48 UTC

Internal Links: 529086 910729

Description Ameya Charekar 2018-02-22 10:20:13 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Live Migrate disk from one Storage domain to another.
2. Check Disk status.

Actual results:
There is no progress in rhv manager portal.

Expected results:
There should be progress in rhv manager portal.

Additional info:
qemu-img operation progress is available in vdsm logs.

Comment 3 Marina Kalinin 2018-09-20 19:34:40 UTC
*** Bug 1630251 has been marked as a duplicate of this bug. ***

Comment 4 Marina Kalinin 2018-09-20 19:45:29 UTC
*** Bug 529086 has been marked as a duplicate of this bug. ***

Comment 11 Sandro Bonazzola 2019-01-28 09:39:48 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 17 Antonio Romito 2019-05-06 14:46:53 UTC
Tal, I would like to give a concrete answer to the customer that made this RFE request. Can we ensure him in some way that this will be included in 4.4 ?

Comment 19 Tal Nisan 2019-06-02 12:32:49 UTC
(In reply to Antonio Romito from comment #17)
> Tal, I would like to give a concrete answer to the customer that made this
> RFE request. Can we ensure him in some way that this will be included in 4.4
> ?

Yes, we targeted it to 4.4 and it should be included

Comment 20 Avihai 2019-08-12 08:26:17 UTC
Hi Benny,

A couple of Q's to clarify the scope of this feature/Enhancement:

1) Looks like a pure webamin enhancement , right ?

2) Is there a feature page for this? or a planned feature page ?

3) Can you elaborate on the cases we expect to see the progress bar, Is this only on LSM?

4) Will there be any RESTAPI additions? just so we know if we also need to add QE automation.

Comment 21 Benny Zlotnik 2019-08-12 08:51:48 UTC
(In reply to Avihai from comment #20)
> Hi Benny,
> 
> A couple of Q's to clarify the scope of this feature/Enhancement:
> 
> 1) Looks like a pure webamin enhancement , right ?
yes
> 2) Is there a feature page for this? or a planned feature page ?
no, as it's not really a feature, it's an enhancement 
> 3) Can you elaborate on the cases we expect to see the progress bar, Is this
> only on LSM?
yes, there's already a progress bar for cold move
> 4) Will there be any RESTAPI additions? just so we know if we also need to
> add QE automation.
nope

Comment 24 RHV bug bot 2019-12-13 13:15:01 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 25 RHV bug bot 2019-12-20 17:44:45 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 26 Doron Fediuck 2020-01-01 11:48:56 UTC
*** Bug 1402452 has been marked as a duplicate of this bug. ***

Comment 27 RHV bug bot 2020-01-08 14:47:16 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 28 RHV bug bot 2020-01-08 15:16:04 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 29 Daniel 2020-01-14 12:10:34 UTC
Verified via web-admin. Checked on engine version 4.4.0-0.13.master.el7.
Bug is fixed and work as expected. Progress status is written in logs as well.

Comment 30 RHV bug bot 2020-01-24 19:48:59 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 38 errata-xmlrpc 2020-08-04 13:16:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.